%define    name   xlogical
%define    longname  XLogical
%define    majorversion   1.0
%define    subversion 8
%define    version %{majorversion}_%{subversion}
%define    sourceversion %{majorversion}-%{subversion}

%define    release %mkrel 10

Summary:   %{longname} - A puzzle game
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{name}-%{sourceversion}.tar.bz2
Source1:   %{name}-16.png
Source2:   %{name}-32.png
Source3:   %{name}-48.png
Patch0:    xlogical-c++-compil.patch
Patch1:    xlogical-gcc43.patch
Patch2:    xlogical-1.0-chown.patch
Group:     Games/Puzzles
License: GPLv2+
URL:        http://changeling.ixionstudios.com/xlogical/
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL_mixer-devel

%description
XLogical is a puzzle game based on an Amiga game developed
by Rainbow Arts called Logical. It features ray-traced graphics,
music, and sound effects. The game is addictive, requiring
parallel thinking and quick reflexes.

%prep
%setup -n %{name}-%{sourceversion} -q
%patch0 -p0 -b .nanar
%patch1 -p1 -b .gcc43
%patch2 -p0 -b .chown

%build

rm -f config.* configure

autoreconf -fi
%configure2_5x --bindir=%_gamesbindir --datadir=%_gamesdatadir --localstatedir=%{_localstatedir}/lib

%make

%install
%makeinstall bindir=%buildroot%_gamesbindir datadir=%buildroot%_gamesdatadir localstatedir=%buildroot%{_localstatedir}/lib

install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A puzzle game
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

%files
%defattr(-,root,games)
%doc README COPYING ChangeLog AUTHORS NEWS TODO LICENSE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%{_localstatedir}/lib/%{name}/xlogical.scores
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/applications/mageia-%{name}.desktop


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0_8-10.mga3
+ Revision: 387080
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 14 2012 fwang <fwang> 1.0_8-9.mga2
+ Revision: 208763
- build with latest autotools

* Sun May 08 2011 grenoya <grenoya> 1.0_8-9.mga1
+ Revision: 96283
- clean old Mdv syntax
- imported package xlogical

